Ubuntu

Ubuntu 12.04 i386 does not reboot back Unity from suspend

Reported by Hakker2000 on 2012-04-27
100
This bug affects 20 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have just yesterday upgraded to Ubuntu 12.04 from Ubuntu 11.10 running on my Acer Aspire 7535G. Now it seems that whenever I close my laptop lid to go to suspend or hit the suspend action, after i turn it back on suspend does not load back Unity session. Everything else in the background works but the screen stays lit but black with no image and no lock screen displayed. One work around I have found for this in the meantime is to hit Ctrl + Alt + F7 to manually reload the GUI and that brings me straight to the lock screen as desired. However this is a very annoying bug especially for a laptop user who wishes to quickly place the laptop in sleep mode and recover the current session successfully.

WORKAROUND: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/989674/comments/8

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+12ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
Uname: Linux 3.2.0-24-generic-pae i686
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu6
Architecture: i386
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Fri Apr 27 13:19:17 2012
DistUpgraded: 2012-04-27 00:17:23,180 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 fglrx-updates, 8.960, 3.2.0-24-generic-pae, i686: installed
 virtualbox, 4.1.12, 3.0.0-17-generic-pae, i686: installed
 virtualbox, 4.1.12, 3.2.0-24-generic, i686: installed
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI RS780M/RS780MN [Mobility Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0237]
 Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series] [1002:9553] (rev ff) (prog-if ff)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
JockeyStatus:
 xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
 xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Disabled, Not in use)
MachineType: Acer Aspire 7535
ProcEnviron:
 LANGUAGE=en_IE:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_IE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic-pae root=UUID=8b69dec6-15bf-4028-8fd5-5aae405ba69e ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to precise on 2012-04-26 (0 days ago)
dmi.bios.date: 09/18/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V2.04
dmi.board.name: JM70PU
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV2.04:bd09/18/2009:svnAcer:pnAspire7535:pvr0100:rvnAcer:rnJM70PU:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 7535
dmi.product.version: 0100
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.7.6-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Hakker2000 (silvian-dragan) wrote :
affects: ubuntu → linux (Ubuntu)
Brad Figg (brad-figg) on 2012-04-27
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc4-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (6.2 KiB)

Hi,

Thank you very much for the prompt response. I'd be happy to help
however I need to make sure I can revert back to the old kernel if it
the new kernel causes more issues. Also I've downloaded the
linux-headers-3.4.0-030400rc4-generic-pae_3.4.0-030400rc4.201204230908_i386.deb,
however when I try to install using both software center and GDebi it
gives back the following Error: Dependency is not satisfiable:
linux-headers-3.4.0-030400rc4.

Do I need to load other dependencies or install other packages?

Thanks,

Silvian

On 27 April 2012 17:44, Joseph Salisbury <email address hidden> wrote:
> Would it be possible for you to test the latest upstream kernel?  Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v3.4kernel[1] (Not a kernel in the daily directory).  Once you've tested
> the upstream kernel, please remove the 'needs-upstream-testing' tag(Only
> that one tag, please leave the other tags). This can be done by clicking
> on the yellow pencil icon next to the tag located at the bottom of the
> bug description and deleting the 'needs-upstream-testing' text.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
> Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".
>
>
> Thanks in advance.
>
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc4-precise/
>
> ** Changed in: linux (Ubuntu)
>   Importance: Undecided => Medium
>
> ** Tags added: needs-upstream-testing
>
> ** Changed in: linux (Ubuntu)
>       Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/989674
>
> Title:
>  Ubuntu 12.04 i386 does not reboot back Unity from suspend
>
> Status in “linux” package in Ubuntu:
>  Incomplete
>
> Bug description:
>  I have just yesterday upgraded to Ubuntu 12.04 from Ubuntu 11.10
>  running on my Acer Aspire 7535G. Now it seems that whenever I close my
>  laptop lid to go to suspend or hit the suspend action, after i turn it
>  back on suspend does not load back Unity session. Everything else in
>  the background works but the screen stays lit but black with no image
>  and no lock screen displayed. One work around I have found for this in
>  the meantime is to hit Ctrl + Alt + F7 to manually reload the GUI and
>  that brings me straight to the lock screen as desired. However this is
>  a very annoying bug especially for a laptop user who wishes to quickly
>  place the laptop in sleep mode and recover the current session
>  successfully.
>
>  I hope you could find a fix for this issue and send me a patch or
>  upgrade.
>
>  Thank you,
>
>  Silvian
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 12.04
>  Package: xorg 1:7.6+12ubuntu1
>  ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
>  Uname: Linux 3.2.0-24-generic-pae i686
>  NonfreeKernelModules: fglrx
>  .tmp.unit...

Read more...

Hakker2000 (silvian-dragan) wrote :

OK I have fixed that compiling issue and installed the kernel linux-image-3.4.0-030400rc4-generic-pae_3.4.0-030400rc4.201204230908_i386. It actually made it much worse. Unity only loaded in Unity 2D mode and the screen refused to turn on at all when waking from suspend so I could not even use Ctrl + Alt + F7 to reload the GUI.
I am gonna give the non pae version a shot and then I will change the tags to tested and write my conlusions below.

Hakker2000 (silvian-dragan) wrote :

I have now tested both version of the main line Kernel 3.4.0 both with the same result. Both make Unity inaccessible except in 2D mode and both prevent my machine from resuming from suspend mode. The screen no longer turns on at all as it does with the current 3.2 kernel and I can no longer even use the hot keys mentioned above to try and reload the GUI. It seems the new pre release kernel versions need to take this into consideration before the final release is ready for update. They certainly don't fix my graphic issue in fact they make it much worse.

description: updated
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing ubuntu
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Edward Hunt (ephunt) wrote :

I am experiencing the same problem as Hakker2000.

"Whenever I close my laptop lid to go to suspend or hit the suspend action, after i turn it back on suspend does not load back Unity session. Everything else in the background works but the screen stays lit but black with no image and no lock screen displayed."

I am running a newly installed version of Ubuntu 12.04 (precise) 32-bit with Linux 3.2.0-24-generic-pae.

Hakker2000 (silvian-dragan) wrote :

Hi! Finally after a long time of searching and messing around I have figure out a temporary work around solution until this bug gets patched in future kernel releases. Please see below:

Step 1:

Open up a terminal and create a scrip file as follows:
sudo gedit /etc/pm/sleep.d/20_custom-ehci_hcd

Step 2:

Copy the entire script below into the file you just created and save it:

#!/bin/sh
#inspired by http://art.ubuntuforums.org/showpost.php?p=9744970&postcount=19
#...and http://thecodecentral.com/2011/01/18/fix-ubuntu-10-10-suspendhibernate-not-working-bug
# tidied by tqzzaa :)

VERSION=1.1
DEV_LIST=/tmp/usb-dev-list
DRIVERS_DIR=/sys/bus/pci/drivers
DRIVERS="ehci xhci" # ehci_hcd, xhci_hcd
HEX="[[:xdigit:]]"
MAX_BIND_ATTEMPTS=2
BIND_WAIT=0.1

unbindDev() {
  echo -n > $DEV_LIST 2>/dev/null

  for driver in $DRIVERS; do
    DDIR=$DRIVERS_DIR/${driver}_hcd
    for dev in `ls $DDIR 2>/dev/null | egrep "^$HEX+:$HEX+:$HEX"`; do
      echo -n "$dev" > $DDIR/unbind
      echo "$driver $dev" >> $DEV_LIST
    done

  #for bus in $EHCI_BUSES; do
     echo -n $bus > /sys/bus/pci/drivers/ehci_hcd/unbind
 # done

  done

}

bindDev() {
  if [ -s $DEV_LIST ]; then
    while read driver dev; do
      DDIR=$DRIVERS_DIR/${driver}_hcd
      #for bus in $EHCI_BUSES; do
          echo -n $bus > /sys/bus/pci/drivers/ehci_hcd/bind
      #done
      while [ $((MAX_BIND_ATTEMPTS)) -gt 0 ]; do
          echo -n "$dev" > $DDIR/bind
          if [ ! -L "$DDIR/$dev" ]; then
            sleep $BIND_WAIT
          else
            break
          fi
          MAX_BIND_ATTEMPTS=$((MAX_BIND_ATTEMPTS-1))
      done

    done < $DEV_LIST
  fi
  rm $DEV_LIST 2>/dev/null

  chvt 1
  chvt 7
}

EHCI_BUSES="0000:00:1a.0 0000:00:1d.0"
case "$1" in
    hibernate|suspend)
 unbindDev;;

    resume|thaw)
 bindDev;;

esac

Step 3:
Give the script run permissions by typing:
sudo chmod 755 /etc/pm/sleep.d/20_custom-ehci_hcd

This script should work or your money back guaranteed (Joking this is open source project so use at own risk :P ), as it forces the graphic card to reboot iself using a good old kick from chvt1 and chvt7 commands which simulate what I used to do manually using Ctrl + Alt + F1 and Ctrl + Alt + F7 to refresh the GUI.

TEN (launchpad-20-ten) wrote :

Unfortunately, some systems wake up with an unresponsive keyboard, not allowing to switch to the Ctrl-Alt-F1 full-screen text console (and back): https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/999638

Hakker2000 (silvian-dragan) wrote :

Hi TEN,

Would you be able to check if the bug fix script I wrote above will help with your issue. It doesn't require the keyboard to work. Try and see if it also solves your issue and then let me know. Thanks!

TEN (launchpad-20-ten) wrote :

Tried it, but your script does not "resurrect" (Snow White style ;-)) a sleeping HP dc7800 CMT just yet I'm afraid.

Hakker2000 (silvian-dragan) wrote :

Hmm... sucks! Not very happy with 12.04 lack of proper graphics support. What graphic card are you running btw?

Hakker2000 (silvian-dragan) wrote :
Download full text (4.7 KiB)

Hmm... sucks! Not very happy with 12.04 lack of proper graphics
support. What graphic card are you running btw?

On 18 May 2012 15:30, TEN <email address hidden> wrote:
> Tried it, but your script does not "resurrect" (Snow White style ;-)) a
> sleeping HP dc7800 CMT just yet I'm afraid.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/989674
>
> Title:
>  Ubuntu 12.04 i386 does not reboot back Unity from suspend
>
> Status in “linux” package in Ubuntu:
>  Triaged
>
> Bug description:
>  I have just yesterday upgraded to Ubuntu 12.04 from Ubuntu 11.10
>  running on my Acer Aspire 7535G. Now it seems that whenever I close my
>  laptop lid to go to suspend or hit the suspend action, after i turn it
>  back on suspend does not load back Unity session. Everything else in
>  the background works but the screen stays lit but black with no image
>  and no lock screen displayed. One work around I have found for this in
>  the meantime is to hit Ctrl + Alt + F7 to manually reload the GUI and
>  that brings me straight to the lock screen as desired. However this is
>  a very annoying bug especially for a laptop user who wishes to quickly
>  place the laptop in sleep mode and recover the current session
>  successfully.
>
>  I hope you could find a fix for this issue and send me a patch or
>  upgrade.
>
>  Thank you,
>
>  Silvian
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 12.04
>  Package: xorg 1:7.6+12ubuntu1
>  ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
>  Uname: Linux 3.2.0-24-generic-pae i686
>  NonfreeKernelModules: fglrx
>  .tmp.unity.support.test.0:
>
>  ApportVersion: 2.0.1-0ubuntu6
>  Architecture: i386
>  CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
>  CompositorRunning: compiz
>  Date: Fri Apr 27 13:19:17 2012
>  DistUpgraded: 2012-04-27 00:17:23,180 DEBUG enabling apt cron job
>  DistroCodename: precise
>  DistroVariant: ubuntu
>  DkmsStatus:
>   fglrx-updates, 8.960, 3.2.0-24-generic-pae, i686: installed
>   virtualbox, 4.1.12, 3.0.0-17-generic-pae, i686: installed
>   virtualbox, 4.1.12, 3.2.0-24-generic, i686: installed
>  ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
>  GraphicsCard:
>   Advanced Micro Devices [AMD] nee ATI RS780M/RS780MN [Mobility Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
>     Subsystem: Acer Incorporated [ALI] Device [1025:0237]
>   Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series] [1002:9553] (rev ff) (prog-if ff)
>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
>  JockeyStatus:
>   xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
>   xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Disabled, Not in use)
>  MachineType: Acer Aspire 7535
>  ProcEnviron:
>   LANGUAGE=en_IE:en
>   TERM=xterm
>   PATH=(custom, no user)
>   LANG=en_IE.UTF-8
>   SHE...

Read more...

TEN (launchpad-20-ten) wrote :

> What graphic card are you running btw?
Onboard Intel Q35 as stated in https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/999638

> Not very happy with 12.04 lack of proper graphics support
Strangely, sadly there still seems to be no accelerated (even though binary-only) driver for the above graphics hardware indeed.

However, suspend/resume had never been an issue under the previous Ubuntu 10.04 LTS on the same machine.

Hakker2000 (silvian-dragan) wrote :
Download full text (5.1 KiB)

No for me switching to 12.04 LTS was the first time this sort of
problem with suspend ever occurred to me. Guess I must have been lucky
so far.

On 18 May 2012 16:37, TEN <email address hidden> wrote:
>> What graphic card are you running btw?
> Onboard Intel Q35 as stated in https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/999638
>
>> Not very happy with 12.04 lack of proper graphics support
> Strangely, sadly there still seems to be no accelerated (even though binary-only) driver for the above graphics hardware indeed.
>
> However, suspend/resume had never been an issue under the previous
> Ubuntu 10.04 LTS on the same machine.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/989674
>
> Title:
>  Ubuntu 12.04 i386 does not reboot back Unity from suspend
>
> Status in “linux” package in Ubuntu:
>  Triaged
>
> Bug description:
>  I have just yesterday upgraded to Ubuntu 12.04 from Ubuntu 11.10
>  running on my Acer Aspire 7535G. Now it seems that whenever I close my
>  laptop lid to go to suspend or hit the suspend action, after i turn it
>  back on suspend does not load back Unity session. Everything else in
>  the background works but the screen stays lit but black with no image
>  and no lock screen displayed. One work around I have found for this in
>  the meantime is to hit Ctrl + Alt + F7 to manually reload the GUI and
>  that brings me straight to the lock screen as desired. However this is
>  a very annoying bug especially for a laptop user who wishes to quickly
>  place the laptop in sleep mode and recover the current session
>  successfully.
>
>  I hope you could find a fix for this issue and send me a patch or
>  upgrade.
>
>  Thank you,
>
>  Silvian
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 12.04
>  Package: xorg 1:7.6+12ubuntu1
>  ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
>  Uname: Linux 3.2.0-24-generic-pae i686
>  NonfreeKernelModules: fglrx
>  .tmp.unity.support.test.0:
>
>  ApportVersion: 2.0.1-0ubuntu6
>  Architecture: i386
>  CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
>  CompositorRunning: compiz
>  Date: Fri Apr 27 13:19:17 2012
>  DistUpgraded: 2012-04-27 00:17:23,180 DEBUG enabling apt cron job
>  DistroCodename: precise
>  DistroVariant: ubuntu
>  DkmsStatus:
>   fglrx-updates, 8.960, 3.2.0-24-generic-pae, i686: installed
>   virtualbox, 4.1.12, 3.0.0-17-generic-pae, i686: installed
>   virtualbox, 4.1.12, 3.2.0-24-generic, i686: installed
>  ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
>  GraphicsCard:
>   Advanced Micro Devices [AMD] nee ATI RS780M/RS780MN [Mobility Radeon HD 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
>     Subsystem: Acer Incorporated [ALI] Device [1025:0237]
>   Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series] [1002:9553] (rev ff) (prog-if ff)
>  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
>  JockeyStatus:
>   xor...

Read more...

TEN (launchpad-20-ten) wrote :

For the record, "Power/OS Power Management/ACPI S3 Hard Disk Reset: Enable" in the BIOS Setup makes no difference whatsoever.
Ubuntu 10.04 LTS and Windows 7 on /dev/hda1 have been resuming from suspend without issue on the same machine either way.

TEN (launchpad-20-ten) wrote :

Besides https://bugs.launchpad.net/ubuntu/+source/pm-utils/+bug/999638, see also https://bugs.launchpad.net/ubuntu/+source/linux/+bug/966744 #47 et seq., https://bugs.freedesktop.org/show_bug.cgi?id=35648#c29 as per http://intellinuxgraphics.org/2012.02.html and http://techpatterns.com/forums/about1994-10.html - nowhere near an affected machine for the next few days though to test whether modesetting/console text cursor changes make a difference.

TEN (launchpad-20-ten) wrote :

Since modesetting may play a part in making resume fail, I retried after switching the onboard Intel Q35 graphics of the HP dc7800p CMT to an Nvidia GT520.
Expectedly this has caused some changes to how the system behaves:
It will suspend once, stopping its fans - as well as usually respond to the keyboard Wake Up button and even work long enough to allow the user to re-logon, but then often freeze or panic with the Caps Lock and Scroll Lock lights blinking.
If it does continue to a usable desktop, further use of the Sleep key will only cause the monitor to go dark briefly, but always keep the fans running, and automatically wake up again just seconds later most of the time - also resulting in freezes with Caps Lock and Scroll lock blinking in many cases.

Hakker2000 (silvian-dragan) wrote :

Congratulations to Linux developers for a great new shiny kernel 3.4. This seems to fix a lot of problems for many people including the bug mentioned here with the Suspend mode as well as other issues other people have had regarding wifi.
Here is the link to try the new mainline kernel including instructions on installing it:
http://askubuntu.com/questions/142192/can-i-install-linux-kernel-3-4-in-ubuntu-and-kubuntu-12-04

Hakker2000 (silvian-dragan) wrote :

Now although I have tested the latest kernel 3.4 ppa release and I must say it does run quite well and fixes some of the major bugs in Ubuntu 12.04 including of course the bug mentioned here regarding standby/suspend, it is still not a release version and I am still using kernel 3.2.0-24-generic release version.
Now since this version many of you probably noticed that the script I have posted before providing a quick fix for this bug no longer works. At least for me it no longer works. If for you it still works then don't touch it. It seems for me however some issues may have been attempted to fix regarding sleep and wake up driver issues. As a result the previous script no longer works, however I have written a simplified version which takes in consideration these fixes and this seems to work like a charm for me.

As previously...
Step 1: Open up a terminal and create a scrip file as follows:

sudo gedit /etc/pm/sleep.d/20_custom-ehci_hcd

Step 2: If and only if you have problems with your current script and your machine refuses to sleep or wake up on kernel 3.2.0-24-generic then replace the entire code with the following:

#!/bin/sh
# File: "/etc/pm/sleep.d/20_custom-ehci_hcd".
TMPLIST=/tmp/ehci-dev-list

case "${1}" in
        hibernate|suspend)

        ;;
        resume|thaw)

     chvt 1
     chvt 7
        ;;
esac

Step 3:
Give the script permission to run by typing the following in the terminal:

sudo chmod 755 /etc/pm/sleep.d/20_custom-ehci_hcd

Hope that helps and it works for me nicely. :-)

TEN (launchpad-20-ten) wrote :

Kernel 3.2.0-25-generic-pae as provided yesterday through update-manager has fixed this issue for me with Nvidia GT520 graphics under Ubuntu 3D, i.e. Unity, whereas the former version -24 would only resume properly under LXDE.
(Can't roll back to integrated Intel GMA 3100 Q35 on-board graphics for now to make sure whether this has been fixed as well.)

Hakker2000 (silvian-dragan) wrote :

Glad to hear it has solved your problem with Nvidia card. The Kernel 3.2.0-25-generic-pae hasn't solved it for my ATI card though... however the script above still works fine for me atm. I'm waiting on the Kernel 3.4 release. The upstream pre-release version seems to solve all issues. :-)

Thanks Hakker200, your shortened version (post #20) worked on my Intel Atom N2800 based netbook (integrated graphics). I'm running Ubuntu 12.04 LTS but with a modified 3.4.0 kernel to provide the gma500 support for the Atom graphics. Your patch disables the sleep button, which is better that having to reboot every time.

Malcolm B (malcolm-h) wrote :

For the record I have the same issue with 12.04 (64bit) on Lenovo L420 Thinkpad (Intel core-i5).

I had to get the latest BIOS (1.18) in order to get Ubuntu to install/boot without adding boot parameters.

I have tried multiple solutions, including the bind/unbind script that is posted here (I will try the chvt idea tonight, but
probably won't work because ^@F1 ^@F7 doesn't anyway).

"nolapic' in boot parameters fixes suspend but breaks hibernate, i.e.

With no extra boot parameters, hibernate/resume works, but suspend/resume hangs at black screen, unresponsive keyboard at resume
(after I hear the CD drive click).

When I put "nolapic" in the boot parameters, suspend/resume works, but hibernate/resume stops working.

When I say "hibernate" or "suspend" I am using "sudo pm-hibernate" and "sudo pm-suspend" to eliminate any other bugs (i.e. not
using the special keys to do it).

I have not got around to applying any fixes to the power settings menu, so that "hibernate" appears in it yet.

I have even tried the 'debugging resume problems' method (/sys.....pm_trace=1), but don't see anything in the logs that means
anything to me.

/var/log/pm-suspend.log shows failures on network manager, so I tried stopping it before suspend and also I tried modprobe'ing
out the two network drivers (wired and wireless), but that did not help either.

There is/are postings about doing something to the DSDT save/restore state that I have not got my head around yet, but probably
I will wait for the next proper update, so this is just a little posting to alert any other Thinkpad L420 / 64bit user that the
resume solution is an easy fix.

Malcolm B (malcolm-h) wrote :

I meant "Thinkpad L420 / 64bit resume is NOT an easy fix". How do you edit these comments anyway?

David Gerard (dgerard) wrote :

Same problem affecting me on HP DC7800 with stock 12.04 kernel. Oddly enough, suspending and resuming worked flawlessly on 10.04. Haven't tried generic Linus kernel yet.

David Gerard (dgerard) wrote :

More detail: that's on an HP DC7800 with 12.04 i386 kernel - the 10.04 was amd64 kernel. (No reason for the switch, I just had an i386 ISO to hand when I was reinstalling.)

Hakker2000 (silvian-dragan) wrote :
Download full text (5.0 KiB)

I switched myself to 64bit from i386 myself. No difference however... the
bug still applies to 64bit kernel as well. Best fix is the fix I posted
above the resume script.

On 1 August 2012 10:45, David Gerard <email address hidden> wrote:

> More detail: that's on an HP DC7800 with 12.04 i386 kernel - the 10.04
> was amd64 kernel. (No reason for the switch, I just had an i386 ISO to
> hand when I was reinstalling.)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/989674
>
> Title:
> Ubuntu 12.04 i386 does not reboot back Unity from suspend
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> I have just yesterday upgraded to Ubuntu 12.04 from Ubuntu 11.10
> running on my Acer Aspire 7535G. Now it seems that whenever I close my
> laptop lid to go to suspend or hit the suspend action, after i turn it
> back on suspend does not load back Unity session. Everything else in
> the background works but the screen stays lit but black with no image
> and no lock screen displayed. One work around I have found for this in
> the meantime is to hit Ctrl + Alt + F7 to manually reload the GUI and
> that brings me straight to the lock screen as desired. However this is
> a very annoying bug especially for a laptop user who wishes to quickly
> place the laptop in sleep mode and recover the current session
> successfully.
>
> I hope you could find a fix for this issue and send me a patch or
> upgrade.
>
> Thank you,
>
> Silvian
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xorg 1:7.6+12ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
> Uname: Linux 3.2.0-24-generic-pae i686
> NonfreeKernelModules: fglrx
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.0.1-0ubuntu6
> Architecture: i386
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Fri Apr 27 13:19:17 2012
> DistUpgraded: 2012-04-27 00:17:23,180 DEBUG enabling apt cron job
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus:
> fglrx-updates, 8.960, 3.2.0-24-generic-pae, i686: installed
> virtualbox, 4.1.12, 3.0.0-17-generic-pae, i686: installed
> virtualbox, 4.1.12, 3.2.0-24-generic, i686: installed
> ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in
> Ubuntu
> GraphicsCard:
> Advanced Micro Devices [AMD] nee ATI RS780M/RS780MN [Mobility Radeon HD
> 3200 Graphics] [1002:9612] (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:0237]
> Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD
> 4500/5100 Series] [1002:9553] (rev ff) (prog-if ff)
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386
> (20111012)
> JockeyStatus:
> xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver
> (post-release updates) (Proprietary, Disabled, Not in use)
> xorg:fglrx - ATI/AMD proprietary FGLRX graphics drive...

Read more...

Hakker2000 (silvian-dragan) wrote :

I switched myself to 64bit from i386 myself. No difference however... the bug still applies to 64bit kernel as well. Best fix is the fix I posted above the resume script.

Malcolm B (malcolm-h) wrote :

I searched for answers, played with pm-... scripts and updated BIOS, all to no avail. The best solution I have settled with is "noacpi". This fixes all my shutdown/suspend/hibernate/restore/lid-events problems and I have not noticed any performance degradation.
Setup is: Ubuntu 12.04 64bit on Lenovo Thinkpad L420. I am running VirtualBox also and restore is working fine. Hope this helps.

Malcolm B (malcolm-h) wrote :

Someone asked me how to set "noapic" (sorry I meant to say that in the previous post :), so here it is in a nutshell:
1. Edit "/etc/default/grub" and change the "GRUB_CMDLINE_LINUX_DEFAULT" line so that it reads:
    GRUB_CMDLINE_LINUX_DEFAULT="noapic nosplash"
2. Open terminal window and type:
    sudo update-grub
3. Reboot

sml.lima (sml-lima) wrote :

I also had problems with suspend/Resume on my LG T1 Express dual laptop with the new 12.04 release. The first time i tried to suspend it did without any problems, but after i was unable to suspend it due to some problem with my TPM chip.
What i did was to manualy unbind or unload the tpm_tis driver using the

sudo modprobe -r tpm_tis

After all the suspend/Resume did function without any problem.

SO i still don't know why this module is creating problems with the suspend action only at the second try, but at least this hack helps to suspend and resume without hiccups :)

Terence (helloterence) wrote :

The script seem to have stopped working for me since the last couple of updates. Anyone else?

Brad Needham (fishrcynic) wrote :

comment 20 works for me. HP 320-1030 12.04 amd64 updated as of october 13th, 2012

TEN (launchpad-20-ten) wrote :
Download full text (3.7 KiB)

Since kernels 3.2.0-25-generic-pae through current 3.2.0-32-generic-pae mostly work for me as per comment #21, all I needed to add (as root) was an /etc/pm/sleep.d/lirc_suspend (modelled on novatel_3g_suspend from the same directory) that would "service lirc stop" on suspend and accordingly (re)start LIRC on resume to keep usable infrared support.

No open-heart surgery really, though probably not exactly in Kansas anymore as Joe Avg. User's self-help "comfort zone".

Some of the most recent 3.2.0-32 kernel's /var/log/syslog found in the process might be of interest for systems where more severe issues persist:

Nov 1 12:27:26 kernel: [277622.104093] floppy0: floppy timeout called
Nov 1 12:27:26 kernel: [277622.104107] PM: resume of drv:floppy dev:floppy.0 complete after 3003.989 msecs
Nov 1 12:27:26 kernel: [277622.152082] PM: resume of devices complete after 10111.887 msecs
Nov 1 12:27:26 kernel: [277622.152389] PM: resume devices took 10.112 seconds
Nov 1 12:27:26 kernel: [277622.152391] ------------[ cut here ]------------
Nov 1 12:27:26 kernel: [277622.152396] WARNING: at /build/buildd/linux-3.2.0/kernel/power/suspend_test.c:53 suspend_test_finish+0x89/0x90()
Nov 1 12:27:26 kernel: [277622.152398] Hardware name: HP Compaq dc7800p Convertible Minitower
Nov 1 12:27:26 kernel: [277622.152399] Component: resume devices, time: 10112
Nov 1 12:27:26 kernel: [277622.152401] Modules linked in: nls_iso8859_1 nls_cp437 vfat fat rfcomm bnep vesafb mt352 saa7134_dvb saa7134_alsa vide
obuf_dvb dvb_core mt20xx ir_lirc_codec lirc_dev tea5767 ir_mce_kbd_decoder ir_sony_decoder snd_hda_codec_hdmi ir_jvc_decoder tda9887 ir_rc6_decoder ir_r
c5_decoder snd_hda_codec_analog rc_rc6_mce tda8290 ir_nec_decoder mceusb tuner tpm_infineon snd_hda_intel smsc47b397 snd_hda_codec saa7134 rc_core video
buf_dma_sg videobuf_core snd_hwdep usblp coretemp btusb uvcvideo v4l2_common videodev tveeprom nvidia(P) snd_pcm bluetooth snd_seq_midi snd_rawmidi snd_
seq_midi_event snd_seq hp_wmi sparse_keymap snd_timer snd_seq_device ppdev parport_pc mac_hid wmi mei(C) psmouse serio_raw snd lp parport tpm_tis soundc
ore snd_page_alloc e1000e floppy usb_storage
Nov 1 12:27:26 kernel: [277622.152434] Pid: 5491, comm: pm-suspend Tainted: P WC O 3.2.0-32-generic-pae #51-Ubuntu
Nov 1 12:27:26 kernel: [277622.152436] Call Trace:
Nov 1 12:27:26 kernel: [277622.152441] [<c105a2c2>] warn_slowpath_common+0x72/0xa0
Nov 1 12:27:26 kernel: [277622.152444] [<c10985a9>] ? suspend_test_finish+0x89/0x90
Nov 1 12:27:26 kernel: [277622.152446] [<c10985a9>] ? suspend_test_finish+0x89/0x90
Nov 1 12:27:26 kernel: [277622.152449] [<c105a393>] warn_slowpath_fmt+0x33/0x40
Nov 1 12:27:26 kernel: [277622.152451] [<c10985a9>] suspend_test_finish+0x89/0x90
Nov 1 12:27:26 kernel: [277622.152454] [<c10982d9>] suspend_devices_and_enter+0xe9/0x1c0
Nov 1 12:27:26 kernel: [277622.152456] [<c109846b>] enter_state+0xbb/0xf0
Nov 1 12:27:26 kernel: [277622.152458] [<c109712a>] state_store+0x8a/0x110
Nov 1 12:27:26 kernel: [277622.152461] [<c10970a0>] ? pm_trace_dev_match_show+0x20/0x20
Nov 1 12:27:26 kernel: [277622.152465] [<c12adadb>] kobj_attr_store+0x1b/0x30
Nov 1 12:27:26 kerne...

Read more...

tags: added: latest-bios-2.04
description: updated

Hakker2000, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run just make a comment to this.

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Hakker2000 (silvian-dragan) wrote :

Hi Chris,

No this is no longer my concern. Since then I've changed both platform and OS. Also with 13.04 I don't have any issues on my new hardware.

Thanks!

Hakker2000, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/989674/comments/37 regarding you no longer have the hardware. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
pst007x (turone) wrote :

Same issue here but with 13.10 64bit, however the problem for me was the Nouveau display driver.

I am using Nvidia, and moved to a proprietary Nvidia driver, rebooted and suspend now works fine.

So I would suggest checking what driver you are using and changing to the proprietary driver available for your system.

Check in: SYSTEM SETTINGS / SOFTWARE & UPDATES / ADDITIONAL DRIVERS

pst007x, it's not the same issue as this report is closed as per https://bugs.launchpad.net/ubuntu/+source/linux/+bug/989674/comments/38 , and the original reporter had completely different hardware than you (suspend problems are treated on a per hardware combination basis).

Despite this, so your hardware and problem may be tracked, please feel free to file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.